/**
 * 请勿将俱乐部专享资源复制给任何人，保护知识产权即是保护我们所在的行业，进而保护我们自己的利益
 * 即便是公司的同事，也请尊重 JFinal 作者的努力与付出，不要复制给同事
 * 
 * 如果你尚未加入俱乐部，请立即删除该项目，或者现在加入俱乐部：http://jfinal.com/club
 * 
 * 俱乐部将提供 jfinal-club 项目源码、直播视频、专用 QQ 群，以及作者在俱乐部定期的分享与答疑，
 * 价值远比仅仅拥有 jfinal club 项目源代码要大得多，俱乐部福利资源是不断增加的，以下是俱乐部
 * 新福利计划：
 * https://jfinal.com/club/1-2
 * 
 * JFinal 俱乐部是七年以来首次寻求外部资源的尝试，以便于创建更加高品质的产品与服务，为你带来
 * 更多、更大的价值
 * 
 * JFinal 项目的可持续性发展需要你的支持！！！
 */

package com.jfinal.club._admin.common;

import com.jfinal.club._admin.admins.AdminsController;
import com.jfinal.club._admin.admin_interface.AdminSessionInterface;
import com.jfinal.club._admin.admin_interface.ContentPathInterface;
import com.jfinal.club._admin.demo.AdminDemoController;
import com.jfinal.club._admin.downloadrecord.AdminDownloadRecordController;
import com.jfinal.club._admin.ideas.AdminIdeasController;
import com.jfinal.club._admin.ideastype.AdminIdeasTypeController;
import com.jfinal.club._admin.index.IndexAdminController;
import com.jfinal.club._admin.login.LoginAdminController;
import com.jfinal.club._admin.product.AdminProductController;
import com.jfinal.club._admin.producttype.AdminProductTypeController;
import com.jfinal.club._admin.recommend.AdminRecommendController;
import com.jfinal.club._admin.sample.AdminSampleController;
import com.jfinal.club._admin.users.AdminUsersController;
import com.jfinal.club.common.upload.UploadController;
import com.jfinal.config.Routes;

/**
 * 后台管理路由
 * 注意：自 jfinal 3.0 开始，baseViewPath 改为在 Routes 中独立配置
 *      并且支持 Routes 级别的 Interceptor，这类拦截器将拦截所有
 *      在此 Routes 中添加的 Controller，行为上相当于 class 级别的拦截器
 *      Routes 级别的拦截器特别适用于后台管理这样的需要统一控制权限的场景
 *      减少了代码冗余
 */
public class AdminRoutes extends Routes {

	@Override
	public void config() {
		// 添加后台管理拦截器，将拦截在此方法中注册的所有 Controller
		addInterceptor(new AdminSessionInterface());
		addInterceptor(new ContentPathInterface());
		setBaseViewPath("/_view/_admin");

		add("/admin/login", LoginAdminController.class, "/login");
		add("/admin", IndexAdminController.class, "/index");
		add("/admin/demo", AdminDemoController.class, "/demo");
		add("/admin/ad", AdminsController.class, "/admins");
		add("/admin/updatePassword", AdminsController.class, "/admins");
		add("/common/upload", UploadController.class);


		add("/admin/ideasType", AdminIdeasTypeController.class, "/ideastype");
		add("/admin/ideas", AdminIdeasController.class, "/ideas");
		add("/admin/productType", AdminProductTypeController.class, "/producttype");
		add("/admin/product", AdminProductController.class, "/product");
		add("/admin/recommend", AdminRecommendController.class, "/recommend");

		add("/admin/sample", AdminSampleController.class, "/sample");
		add("/admin/users", AdminUsersController.class, "/users");


		add("/admin/downloadrecord", AdminDownloadRecordController.class, "/downloadrecord");

	}
}





